# -*- coding: utf-8 -*- 
# @Time    : 03/29/2024 
# @Author  : nzooherd 
# @File    : pornherd_bot.py 
# @Software: Visual Studio Code

from logging import getLogger
import os

from telethon import Client
from telethon.types import UserRef

from config import Config
from patch.telegram_client import ExtClient

logger = getLogger()

class PornherdBot:

    ownid = 1098923999
    session_path = os.path.join(Config.ROOT_DIR, "resources", "session", "pornherd_bot")  # noqa: F821
    def __init__(self) -> None:
        self.bot_client = ExtClient(self.session_path, Config.TELEGRAM_API_ID, Config.TELEGRAM_API_HASH)
        self.me_client = Client("me", Config.TELEGRAM_API_ID, Config.TELEGRAM_API_HASH)
        logger.info("ResourceEventHandler started")
    
    async def init(self, clients: list[Client] = None):
        logger.info(f"Init telethon clients: {clients}")
        if not clients:
            clients = [self.bot_client, self.me_client]
        if self.bot_client in clients:
            await self.bot_client.connect()
            await self.bot_client.interactive_login(Config.TELEGRAM_BOT_TOKEN)
        if self.me_client in clients:
            await self.me_client.connect()
            await self.me_client.interactive_login()
       
    async def send_message(self, user_ref, *args, **kwargs):
        await self.bot_client.send_message(UserRef.from_str(user_ref) , *args, **kwargs)
    
mybot = PornherdBot()


